/**HFile***********************************************************************

  FileName    [SatCountAlgo.h]

  PackageName [rob]

  Synopsis    [Headers and strcutus for Sat count Algo. package.]

  Author      [Souheib Baarir]

  Copyright   [Copyright (c) 2008-2009 The Regents of the Univ. Paris VI].
  All rights reserved.

  Permission is hereby granted, without written agreement and without license
  or royalty fees, to use, copy, modify, and distribute this software and its
  documentation for any purpose, provided that the above copyright notice and
  the following two paragraphs appear in all copies of this software.

  IN NO EVENT SHALL THE UNIVERSITY OF PARIS VI BE LIABLE TO ANY PARTY FOR
  DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
  OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
  CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

  THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
  FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN
  "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE
  MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.]

******************************************************************************/



#ifndef _SATCOUNT_H
#define _SATCOUNT_H

#include "../ntk/ntkInt.h"
#include "../hrc/hrcInt.h"
#include "../fsm/fsmInt.h"
#include "../bmc/bmcInt.h"
#include "../sat/sat.h"
#include "../sat/satInt.h"
#include <cuPortInt.h>
#include <list.h>
#include <st.h>

typedef struct form{ 
  lsList F; 
  mdd_t* V;
  mdd_t* R;
  mdd_manager * mgr;
} Formula;
typedef Formula* Formula_t;


#endif /* _SATCOUNT_H */
